digikam broke

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

digikam broke

scott-268
a relatively recent update upgraded digikam and now it won't
start -- gives a message:

QSqlDatabasePrivate::removeDatabase: connection 'ConnectionTest'
is still in use, all queries will cease to work.
digikam: symbol lookup error: digikam: undefined symbol:
_ZN4KIPI21ImageCollectionSharedD2Ev

looking at digikam's website i see a post in response to
someone with the same problem:
<quote>
libkexiv2 shared library installed on your system is not updated
with digiKam. Typically, your digiKam have been compiled with a
libkexiv2 more recent, and this lib have not been updated on
your system. It's a broken resolved dependecy from your distro.
Contact your linux distro team to solve the problem...

Gilles Caulier
</quote>

i'm on suse 11.4, kde 4.7.4, digikam 2.5.0

yast doesn't show any newer libkexiv2 than what i have installed
(4.7.50-17.2-x86_64)

ideas anyone?

sc
--
To unsubscribe, e-mail: [hidden email]
To contact the owner, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: digikam broke

Will Stephenson-2

On Monday 30 Apr 2012 16:00:13 sc wrote:

> a relatively recent update upgraded digikam and now it won't

> start -- gives a message:

>

> QSqlDatabasePrivate::removeDatabase: connection 'ConnectionTest'

> is still in use, all queries will cease to work.

> digikam: symbol lookup error: digikam: undefined symbol:

> _ZN4KIPI21ImageCollectionSharedD2Ev

 

*snip*

 

> i'm on suse 11.4, kde 4.7.4, digikam 2.5.0

>

> yast doesn't show any newer libkexiv2 than what i have installed

> (4.7.50-17.2-x86_64)

>

> ideas anyone?

 

Mismatched repos. I suspect you have installed digikam 2.5.0 from a repo that is not built vs KDE 4.7.4 (from KDE:Release:47, at a guess).

 

Which repos do you have registered? Please attach the output of "zypper lr -d".

 

Will

--

Will Stephenson, openSUSE Board, Booster, KDE Developer

SUSE LINUX GmbH, GF: Jeff Hawn, Jennifer Guild, Felix Imendörffer, HRB 21284 (AG Nürnberg)

Maxfeldstraße 5

90409 Nürnberg

Germany

Reply | Threaded
Open this post in threaded view
|

Re: digikam broke

scott-268
On Tue, May 01, 2012 at 08:03:19AM +0200, Will Stephenson wrote:
> On Monday 30 Apr 2012 16:00:13 sc wrote:
> > a relatively recent update upgraded digikam and now it won't
> > start -- gives a message:
> >
> > QSqlDatabasePrivate::removeDatabase: connection 'ConnectionTest'
> > is still in use, all queries will cease to work.
> > digikam: symbol lookup error: digikam: undefined symbol:
> > _ZN4KIPI21ImageCollectionSharedD2Ev

> *snip*

> > i'm on suse 11.4, kde 4.7.4, digikam 2.5.0
> >
> > yast doesn't show any newer libkexiv2 than what i have installed
> > (4.7.50-17.2-x86_64)
> >
> > ideas anyone?

> Mismatched repos.  I suspect you have installed digikam 2.5.0 from a repo that
> is not built vs KDE 4.7.4 (from KDE:Release:47, at a guess).

> Which repos do you have registered?  Please attach the output of "zypper lr -
> d".

apologies for all the line wrapping:

#  | Alias                            | Name                             | Enabled | Refresh | Priority | Type   | URI                                                                         | Service
---+----------------------------------+----------------------------------+---------+---------+----------+--------+-----------------------------------------------------------------------------+--------
 1 | KDE-core-packages                | KDE-core-packages                | Yes     | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/KDE:/Distro:/Stable/openSUSE_11.4 |        
 2 | KDE-extra                        | KDE-extra                        | Yes     | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/KDE:/Extra/openSUSE_11.4/         |        
 3 | KDE-updated-apps                 | KDE-updated-apps                 | Yes     | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/KDE:/UpdatedApps/openSUSE_11.4/   |        
 4 | Updates-for-openSUSE-11.4-11.4-0 | Updates for openSUSE 11.4 11.4-0 | Yes     | Yes     |   99     | rpm-md | http://download.opensuse.org/update/11.4/                                   |        
 5 | download.nvidia.com-opensuse     | nVidia Graphics Drivers          | Yes     | Yes     |   99     | rpm-md | ftp://download.nvidia.com/opensuse/11.4/                                    |        
 6 | download.opensuse.org-games      | openSUSE BuildService - Games    | Yes     | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/games/openSUSE_11.4/              |        
 7 | mozilla                          | mozilla                          | Yes     | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/mozilla/openSUSE_11.4             |        
 8 | openSUSE-11.4-11.4-0             | openSUSE-11.4-11.4-0             | No      | No      |   99     | yast2  | cd:///?devices=/dev/disk/by-id/ata-TSSTcorpCD_DVDW_TS-H552U,/dev/sr0        |        
 9 | openSUSE:11.4:Contrib            | openSUSE:11.4:Contrib            | Yes     | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/openSUSE:/11.4:/Contrib/standard/ |        
10 | packman.inode.at-suse            | Packman Repository               | Yes     | Yes     |   99     | rpm-md | http://packman.inode.at/suse/openSUSE_11.4/                                 |        
11 | repo-debug                       | openSUSE-11.4-Debug              | No      | Yes     |   99     | NONE   | http://download.opensuse.org/debug/distribution/11.4/repo/oss/              |        
12 | repo-debug-update                | openSUSE-11.4-Update-Debug       | No      | Yes     |   99     | NONE   | http://download.opensuse.org/debug/update/11.4/                             |        
13 | repo-non-oss                     | openSUSE-11.4-Non-Oss            | Yes     | Yes     |   99     | yast2  | http://download.opensuse.org/distribution/11.4/repo/non-oss/                |        
14 | repo-oss                         | openSUSE-11.4-Oss                | Yes     | Yes     |   99     | yast2  | http://download.opensuse.org/distribution/11.4/repo/oss/                    |        
15 | repo-source                      | openSUSE-11.4-Source             | No      | Yes     |   99     | NONE   | http://download.opensuse.org/source/distribution/11.4/repo/oss/


i do wish i had fewer repos -- it's probably time for an
upgrade...

sc
--
To unsubscribe, e-mail: [hidden email]
To contact the owner, e-mail: [hidden email]